curl --request POST \
--url https://app.tagadapay.com/api/public/v1/funnels/{funnelId}/preview-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"funnelId": "funnelv2_123",
"stepId": "step_thankyou",
"accountId": "acc_123",
"contextData": {
"orderId": "order_abc123"
}
}
'{
"sessionId": "fs_123456789",
"funnelId": "funnelv2_123",
"stepId": "step_thankyou",
"token": "eyJhbG...",
"customerId": "cus_preview_123"
}Create a preview funnel session with pre-filled context for testing
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/funnels/{funnelId}/preview-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"funnelId": "funnelv2_123",
"stepId": "step_thankyou",
"accountId": "acc_123",
"contextData": {
"orderId": "order_abc123"
}
}
'{
"sessionId": "fs_123456789",
"funnelId": "funnelv2_123",
"stepId": "step_thankyou",
"token": "eyJhbG...",
"customerId": "cus_preview_123"
}Enter your API key as: Bearer your-api-key
Show child attributes
staging, production visa_success, mastercard_success, amex_success, visa_declined, visa_insufficient, visa_3ds 2Successful response